# Makefile.in generated by automake 1.14.1 from Makefile.am.
# src/tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright © 2009 Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.
#
# Authors:
#    Eric Anholt <eric@anholt.net>

# These programs aren't intended to be included with the normal distro.
# They're not too interesting but they're good for testing.


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/mesa-demos
pkgincludedir = $(includedir)/mesa-demos
pkglibdir = $(libdir)/mesa-demos
pkglibexecdir = $(libexecdir)/mesa-demos
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = afsmultiarb$(EXEEXT) \
	antialias$(EXEEXT) arbfpspec$(EXEEXT) \
	arbfptest1$(EXEEXT) arbfptexture$(EXEEXT) \
	arbfptrig$(EXEEXT) arbgpuprog$(EXEEXT) \
	arbnpot$(EXEEXT) arbnpot-mipmap$(EXEEXT) \
	arbvparray$(EXEEXT) arbvptest1$(EXEEXT) \
	arbvptest3$(EXEEXT) arbvptorus$(EXEEXT) \
	arbvpwarpmesh$(EXEEXT) arraytexture$(EXEEXT) \
	auxbuffer$(EXEEXT) backspecular$(EXEEXT) \
	blendxor$(EXEEXT) blitfb$(EXEEXT) \
	bufferobj$(EXEEXT) bumpmap$(EXEEXT) \
	bug_3050$(EXEEXT) bug_3101$(EXEEXT) \
	bug_3195$(EXEEXT) bug_texstore_i8$(EXEEXT) \
	calibrate_rast$(EXEEXT) clip$(EXEEXT) \
	condrender$(EXEEXT) copypixrate$(EXEEXT) \
	cva$(EXEEXT) cva_huge$(EXEEXT) \
	cylwrap$(EXEEXT) drawbuffers$(EXEEXT) \
	drawbuffers2$(EXEEXT) drawstencil$(EXEEXT) \
	exactrast$(EXEEXT) ext422square$(EXEEXT) \
	floattex$(EXEEXT) fbotest1$(EXEEXT) \
	fbotest2$(EXEEXT) fbotest3$(EXEEXT) \
	fillrate$(EXEEXT) fogcoord$(EXEEXT) \
	fptest1$(EXEEXT) fptexture$(EXEEXT) \
	$(am__EXEEXT_1) getteximage$(EXEEXT) \
	glutfx$(EXEEXT) interleave$(EXEEXT) \
	invert$(EXEEXT) jkrahntest$(EXEEXT) \
	lineclip$(EXEEXT) linehacks$(EXEEXT) \
	manytex$(EXEEXT) mapbufrange$(EXEEXT) \
	minmag$(EXEEXT) mipgen$(EXEEXT) \
	mipmap_comp$(EXEEXT) \
	mipmap_comp_tests$(EXEEXT) \
	mipmap_limits$(EXEEXT) mipmap_view$(EXEEXT) \
	mipmap_tunnel$(EXEEXT) multipal$(EXEEXT) \
	multitexarray$(EXEEXT) multiwindow$(EXEEXT) \
	no_s3tc$(EXEEXT) packedpixels$(EXEEXT) \
	pbo$(EXEEXT) persp_hint$(EXEEXT) prim$(EXEEXT) \
	prog_parameter$(EXEEXT) quads$(EXEEXT) \
	random$(EXEEXT) readrate$(EXEEXT) \
	rubberband$(EXEEXT) scissor$(EXEEXT) \
	scissor-viewport$(EXEEXT) seccolor$(EXEEXT) \
	shader_api$(EXEEXT) shader-interp$(EXEEXT) \
	shadow-sample$(EXEEXT) sharedtex$(EXEEXT) \
	stencilreaddraw$(EXEEXT) stencilwrap$(EXEEXT) \
	step$(EXEEXT) streaming_rect$(EXEEXT) \
	subtex$(EXEEXT) subtexrate$(EXEEXT) \
	tex1d$(EXEEXT) texcmp$(EXEEXT) \
	texcompress2$(EXEEXT) texcompsub$(EXEEXT) \
	texdown$(EXEEXT) texfilt$(EXEEXT) \
	texgenmix$(EXEEXT) texleak$(EXEEXT) \
	texline$(EXEEXT) texobj$(EXEEXT) \
	texobjshare$(EXEEXT) texrect$(EXEEXT) \
	unfilledclip$(EXEEXT) viewmemory$(EXEEXT) \
	vparray$(EXEEXT) vpeval$(EXEEXT) \
	vptest1$(EXEEXT) vptest2$(EXEEXT) \
	vptest3$(EXEEXT) vptorus$(EXEEXT) \
	vpwarpmesh$(EXEEXT) yuvrect$(EXEEXT) \
	yuvsquare$(EXEEXT) zbitmap$(EXEEXT) \
	zcomp$(EXEEXT) zdrawpix$(EXEEXT) \
	zreaddraw$(EXEEXT)
subdir = src/tests
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = getprocaddress$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
afsmultiarb_SOURCES = afsmultiarb.c
afsmultiarb_OBJECTS = afsmultiarb.$(OBJEXT)
afsmultiarb_DEPENDENCIES = ../util/libutil.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
antialias_SOURCES = antialias.c
antialias_OBJECTS = antialias.$(OBJEXT)
antialias_LDADD = $(LDADD)
arbfpspec_SOURCES = arbfpspec.c
arbfpspec_OBJECTS = arbfpspec.$(OBJEXT)
arbfpspec_LDADD = $(LDADD)
arbfptest1_SOURCES = arbfptest1.c
arbfptest1_OBJECTS = arbfptest1.$(OBJEXT)
arbfptest1_LDADD = $(LDADD)
arbfptexture_SOURCES = arbfptexture.c
arbfptexture_OBJECTS = arbfptexture.$(OBJEXT)
arbfptexture_LDADD = $(LDADD)
arbfptrig_SOURCES = arbfptrig.c
arbfptrig_OBJECTS = arbfptrig.$(OBJEXT)
arbfptrig_LDADD = $(LDADD)
arbgpuprog_SOURCES = arbgpuprog.c
arbgpuprog_OBJECTS = arbgpuprog.$(OBJEXT)
arbgpuprog_LDADD = $(LDADD)
arbnpot_SOURCES = arbnpot.c
arbnpot_OBJECTS = arbnpot.$(OBJEXT)
arbnpot_LDADD = $(LDADD)
arbnpot_mipmap_SOURCES = arbnpot-mipmap.c
arbnpot_mipmap_OBJECTS = arbnpot-mipmap.$(OBJEXT)
arbnpot_mipmap_LDADD = $(LDADD)
arbvparray_SOURCES = arbvparray.c
arbvparray_OBJECTS = arbvparray.$(OBJEXT)
arbvparray_LDADD = $(LDADD)
arbvptest1_SOURCES = arbvptest1.c
arbvptest1_OBJECTS = arbvptest1.$(OBJEXT)
arbvptest1_LDADD = $(LDADD)
arbvptest3_SOURCES = arbvptest3.c
arbvptest3_OBJECTS = arbvptest3.$(OBJEXT)
arbvptest3_LDADD = $(LDADD)
arbvptorus_SOURCES = arbvptorus.c
arbvptorus_OBJECTS = arbvptorus.$(OBJEXT)
arbvptorus_LDADD = $(LDADD)
arbvpwarpmesh_SOURCES = arbvpwarpmesh.c
arbvpwarpmesh_OBJECTS = arbvpwarpmesh.$(OBJEXT)
arbvpwarpmesh_LDADD = $(LDADD)
arraytexture_SOURCES = arraytexture.c
arraytexture_OBJECTS = arraytexture.$(OBJEXT)
arraytexture_DEPENDENCIES = ../util/libutil.la
auxbuffer_SOURCES = auxbuffer.c
auxbuffer_OBJECTS = auxbuffer.$(OBJEXT)
auxbuffer_DEPENDENCIES =
backspecular_SOURCES = backspecular.c
backspecular_OBJECTS = backspecular.$(OBJEXT)
backspecular_LDADD = $(LDADD)
blendxor_SOURCES = blendxor.c
blendxor_OBJECTS = blendxor.$(OBJEXT)
blendxor_LDADD = $(LDADD)
blitfb_SOURCES = blitfb.c
blitfb_OBJECTS = blitfb.$(OBJEXT)
blitfb_LDADD = $(LDADD)
bufferobj_SOURCES = bufferobj.c
bufferobj_OBJECTS = bufferobj.$(OBJEXT)
bufferobj_LDADD = $(LDADD)
bug_3050_SOURCES = bug_3050.c
bug_3050_OBJECTS = bug_3050.$(OBJEXT)
bug_3050_LDADD = $(LDADD)
bug_3101_SOURCES = bug_3101.c
bug_3101_OBJECTS = bug_3101.$(OBJEXT)
bug_3101_LDADD = $(LDADD)
bug_3195_SOURCES = bug_3195.c
bug_3195_OBJECTS = bug_3195.$(OBJEXT)
bug_3195_DEPENDENCIES = ../util/libutil.la
bug_texstore_i8_SOURCES = bug_texstore_i8.c
bug_texstore_i8_OBJECTS = bug_texstore_i8.$(OBJEXT)
bug_texstore_i8_LDADD = $(LDADD)
bumpmap_SOURCES = bumpmap.c
bumpmap_OBJECTS = bumpmap.$(OBJEXT)
bumpmap_DEPENDENCIES = ../util/libutil.la
calibrate_rast_SOURCES = calibrate_rast.c
calibrate_rast_OBJECTS = calibrate_rast.$(OBJEXT)
calibrate_rast_LDADD = $(LDADD)
clip_SOURCES = clip.c
clip_OBJECTS = clip.$(OBJEXT)
clip_LDADD = $(LDADD)
condrender_SOURCES = condrender.c
condrender_OBJECTS = condrender.$(OBJEXT)
condrender_LDADD = $(LDADD)
copypixrate_SOURCES = copypixrate.c
copypixrate_OBJECTS = copypixrate.$(OBJEXT)
copypixrate_LDADD = $(LDADD)
cva_SOURCES = cva.c
cva_OBJECTS = cva.$(OBJEXT)
cva_LDADD = $(LDADD)
cva_huge_SOURCES = cva_huge.c
cva_huge_OBJECTS = cva_huge.$(OBJEXT)
cva_huge_LDADD = $(LDADD)
cylwrap_SOURCES = cylwrap.c
cylwrap_OBJECTS = cylwrap.$(OBJEXT)
cylwrap_LDADD = $(LDADD)
drawbuffers_SOURCES = drawbuffers.c
drawbuffers_OBJECTS = drawbuffers.$(OBJEXT)
drawbuffers_LDADD = $(LDADD)
drawbuffers2_SOURCES = drawbuffers2.c
drawbuffers2_OBJECTS = drawbuffers2.$(OBJEXT)
drawbuffers2_LDADD = $(LDADD)
drawstencil_SOURCES = drawstencil.c
drawstencil_OBJECTS = drawstencil.$(OBJEXT)
drawstencil_LDADD = $(LDADD)
exactrast_SOURCES = exactrast.c
exactrast_OBJECTS = exactrast.$(OBJEXT)
exactrast_LDADD = $(LDADD)
ext422square_SOURCES = ext422square.c
ext422square_OBJECTS = ext422square.$(OBJEXT)
ext422square_LDADD = $(LDADD)
fbotest1_SOURCES = fbotest1.c
fbotest1_OBJECTS = fbotest1.$(OBJEXT)
fbotest1_LDADD = $(LDADD)
fbotest2_SOURCES = fbotest2.c
fbotest2_OBJECTS = fbotest2.$(OBJEXT)
fbotest2_LDADD = $(LDADD)
fbotest3_SOURCES = fbotest3.c
fbotest3_OBJECTS = fbotest3.$(OBJEXT)
fbotest3_LDADD = $(LDADD)
fillrate_SOURCES = fillrate.c
fillrate_OBJECTS = fillrate.$(OBJEXT)
fillrate_DEPENDENCIES = ../util/libutil.la
floattex_SOURCES = floattex.c
floattex_OBJECTS = floattex.$(OBJEXT)
floattex_DEPENDENCIES = ../util/libutil.la
fogcoord_SOURCES = fogcoord.c
fogcoord_OBJECTS = fogcoord.$(OBJEXT)
fogcoord_LDADD = $(LDADD)
fptest1_SOURCES = fptest1.c
fptest1_OBJECTS = fptest1.$(OBJEXT)
fptest1_LDADD = $(LDADD)
fptexture_SOURCES = fptexture.c
fptexture_OBJECTS = fptexture.$(OBJEXT)
fptexture_LDADD = $(LDADD)
am__getprocaddress_SOURCES_DIST = getprocaddress.c
#am_getprocaddress_OBJECTS =  \
#	getprocaddress.$(OBJEXT)
nodist_getprocaddress_OBJECTS =
getprocaddress_OBJECTS = $(am_getprocaddress_OBJECTS) \
	$(nodist_getprocaddress_OBJECTS)
getprocaddress_LDADD = $(LDADD)
getteximage_SOURCES = getteximage.c
getteximage_OBJECTS = getteximage.$(OBJEXT)
getteximage_LDADD = $(LDADD)
glutfx_SOURCES = glutfx.c
glutfx_OBJECTS = glutfx.$(OBJEXT)
glutfx_LDADD = $(LDADD)
interleave_SOURCES = interleave.c
interleave_OBJECTS = interleave.$(OBJEXT)
interleave_LDADD = $(LDADD)
invert_SOURCES = invert.c
invert_OBJECTS = invert.$(OBJEXT)
invert_DEPENDENCIES = ../util/libutil.la
jkrahntest_SOURCES = jkrahntest.c
jkrahntest_OBJECTS = jkrahntest.$(OBJEXT)
jkrahntest_DEPENDENCIES =
lineclip_SOURCES = lineclip.c
lineclip_OBJECTS = lineclip.$(OBJEXT)
lineclip_LDADD = $(LDADD)
linehacks_SOURCES = linehacks.c
linehacks_OBJECTS = linehacks.$(OBJEXT)
linehacks_DEPENDENCIES = ../util/libutil.la
manytex_SOURCES = manytex.c
manytex_OBJECTS = manytex.$(OBJEXT)
manytex_LDADD = $(LDADD)
mapbufrange_SOURCES = mapbufrange.c
mapbufrange_OBJECTS = mapbufrange.$(OBJEXT)
mapbufrange_LDADD = $(LDADD)
minmag_SOURCES = minmag.c
minmag_OBJECTS = minmag.$(OBJEXT)
minmag_LDADD = $(LDADD)
mipgen_SOURCES = mipgen.c
mipgen_OBJECTS = mipgen.$(OBJEXT)
mipgen_LDADD = $(LDADD)
mipmap_comp_SOURCES = mipmap_comp.c
mipmap_comp_OBJECTS = mipmap_comp.$(OBJEXT)
mipmap_comp_LDADD = $(LDADD)
mipmap_comp_tests_SOURCES = mipmap_comp_tests.c
mipmap_comp_tests_OBJECTS = mipmap_comp_tests.$(OBJEXT)
mipmap_comp_tests_LDADD = $(LDADD)
mipmap_limits_SOURCES = mipmap_limits.c
mipmap_limits_OBJECTS = mipmap_limits.$(OBJEXT)
mipmap_limits_DEPENDENCIES = ../util/libutil.la
mipmap_tunnel_SOURCES = mipmap_tunnel.c
mipmap_tunnel_OBJECTS = mipmap_tunnel.$(OBJEXT)
mipmap_tunnel_LDADD = $(LDADD)
mipmap_view_SOURCES = mipmap_view.c
mipmap_view_OBJECTS = mipmap_view.$(OBJEXT)
mipmap_view_DEPENDENCIES = ../util/libutil.la
multipal_SOURCES = multipal.c
multipal_OBJECTS = multipal.$(OBJEXT)
multipal_LDADD = $(LDADD)
multitexarray_SOURCES = multitexarray.c
multitexarray_OBJECTS = multitexarray.$(OBJEXT)
multitexarray_LDADD = $(LDADD)
multiwindow_SOURCES = multiwindow.c
multiwindow_OBJECTS = multiwindow.$(OBJEXT)
multiwindow_LDADD = $(LDADD)
no_s3tc_SOURCES = no_s3tc.c
no_s3tc_OBJECTS = no_s3tc.$(OBJEXT)
no_s3tc_LDADD = $(LDADD)
packedpixels_SOURCES = packedpixels.c
packedpixels_OBJECTS = packedpixels.$(OBJEXT)
packedpixels_LDADD = $(LDADD)
pbo_SOURCES = pbo.c
pbo_OBJECTS = pbo.$(OBJEXT)
pbo_LDADD = $(LDADD)
persp_hint_SOURCES = persp_hint.c
persp_hint_OBJECTS = persp_hint.$(OBJEXT)
persp_hint_LDADD = $(LDADD)
prim_SOURCES = prim.c
prim_OBJECTS = prim.$(OBJEXT)
prim_LDADD = $(LDADD)
prog_parameter_SOURCES = prog_parameter.c
prog_parameter_OBJECTS = prog_parameter.$(OBJEXT)
prog_parameter_LDADD = $(LDADD)
quads_SOURCES = quads.c
quads_OBJECTS = quads.$(OBJEXT)
quads_LDADD = $(LDADD)
random_SOURCES = random.c
random_OBJECTS = random.$(OBJEXT)
random_LDADD = $(LDADD)
readrate_SOURCES = readrate.c
readrate_OBJECTS = readrate.$(OBJEXT)
readrate_LDADD = $(LDADD)
rubberband_SOURCES = rubberband.c
rubberband_OBJECTS = rubberband.$(OBJEXT)
rubberband_LDADD = $(LDADD)
scissor_SOURCES = scissor.c
scissor_OBJECTS = scissor.$(OBJEXT)
scissor_LDADD = $(LDADD)
scissor_viewport_SOURCES = scissor-viewport.c
scissor_viewport_OBJECTS = scissor-viewport.$(OBJEXT)
scissor_viewport_LDADD = $(LDADD)
seccolor_SOURCES = seccolor.c
seccolor_OBJECTS = seccolor.$(OBJEXT)
seccolor_LDADD = $(LDADD)
shader_interp_SOURCES = shader-interp.c
shader_interp_OBJECTS = shader-interp.$(OBJEXT)
shader_interp_DEPENDENCIES = ../util/libutil.la
shader_api_SOURCES = shader_api.c
shader_api_OBJECTS = shader_api.$(OBJEXT)
shader_api_LDADD = $(LDADD)
shadow_sample_SOURCES = shadow-sample.c
shadow_sample_OBJECTS = shadow-sample.$(OBJEXT)
shadow_sample_LDADD = $(LDADD)
sharedtex_SOURCES = sharedtex.c
sharedtex_OBJECTS = sharedtex.$(OBJEXT)
sharedtex_DEPENDENCIES =
stencilreaddraw_SOURCES = stencilreaddraw.c
stencilreaddraw_OBJECTS = stencilreaddraw.$(OBJEXT)
stencilreaddraw_LDADD = $(LDADD)
stencilwrap_SOURCES = stencilwrap.c
stencilwrap_OBJECTS = stencilwrap.$(OBJEXT)
stencilwrap_LDADD = $(LDADD)
step_SOURCES = step.c
step_OBJECTS = step.$(OBJEXT)
step_LDADD = $(LDADD)
streaming_rect_SOURCES = streaming_rect.c
streaming_rect_OBJECTS = streaming_rect.$(OBJEXT)
streaming_rect_LDADD = $(LDADD)
subtex_SOURCES = subtex.c
subtex_OBJECTS = subtex.$(OBJEXT)
subtex_LDADD = $(LDADD)
subtexrate_SOURCES = subtexrate.c
subtexrate_OBJECTS = subtexrate.$(OBJEXT)
subtexrate_LDADD = $(LDADD)
tex1d_SOURCES = tex1d.c
tex1d_OBJECTS = tex1d.$(OBJEXT)
tex1d_LDADD = $(LDADD)
texcmp_SOURCES = texcmp.c
texcmp_OBJECTS = texcmp.$(OBJEXT)
texcmp_LDADD = $(LDADD)
texcompress2_SOURCES = texcompress2.c
texcompress2_OBJECTS = texcompress2.$(OBJEXT)
texcompress2_LDADD = $(LDADD)
texcompsub_SOURCES = texcompsub.c
texcompsub_OBJECTS = texcompsub.$(OBJEXT)
texcompsub_LDADD = $(LDADD)
texdown_SOURCES = texdown.c
texdown_OBJECTS = texdown.$(OBJEXT)
texdown_LDADD = $(LDADD)
texfilt_SOURCES = texfilt.c
texfilt_OBJECTS = texfilt.$(OBJEXT)
texfilt_LDADD = $(LDADD)
texgenmix_SOURCES = texgenmix.c
texgenmix_OBJECTS = texgenmix.$(OBJEXT)
texgenmix_LDADD = $(LDADD)
texleak_SOURCES = texleak.c
texleak_OBJECTS = texleak.$(OBJEXT)
texleak_LDADD = $(LDADD)
texline_SOURCES = texline.c
texline_OBJECTS = texline.$(OBJEXT)
texline_LDADD = $(LDADD)
texobj_SOURCES = texobj.c
texobj_OBJECTS = texobj.$(OBJEXT)
texobj_LDADD = $(LDADD)
texobjshare_SOURCES = texobjshare.c
texobjshare_OBJECTS = texobjshare.$(OBJEXT)
texobjshare_DEPENDENCIES =
texrect_SOURCES = texrect.c
texrect_OBJECTS = texrect.$(OBJEXT)
texrect_DEPENDENCIES = ../util/libutil.la
unfilledclip_SOURCES = unfilledclip.c
unfilledclip_OBJECTS = unfilledclip.$(OBJEXT)
unfilledclip_LDADD = $(LDADD)
viewmemory_SOURCES = viewmemory.c
viewmemory_OBJECTS = viewmemory.$(OBJEXT)
viewmemory_LDADD = $(LDADD)
vparray_SOURCES = vparray.c
vparray_OBJECTS = vparray.$(OBJEXT)
vparray_LDADD = $(LDADD)
vpeval_SOURCES = vpeval.c
vpeval_OBJECTS = vpeval.$(OBJEXT)
vpeval_LDADD = $(LDADD)
vptest1_SOURCES = vptest1.c
vptest1_OBJECTS = vptest1.$(OBJEXT)
vptest1_LDADD = $(LDADD)
vptest2_SOURCES = vptest2.c
vptest2_OBJECTS = vptest2.$(OBJEXT)
vptest2_LDADD = $(LDADD)
vptest3_SOURCES = vptest3.c
vptest3_OBJECTS = vptest3.$(OBJEXT)
vptest3_LDADD = $(LDADD)
vptorus_SOURCES = vptorus.c
vptorus_OBJECTS = vptorus.$(OBJEXT)
vptorus_LDADD = $(LDADD)
vpwarpmesh_SOURCES = vpwarpmesh.c
vpwarpmesh_OBJECTS = vpwarpmesh.$(OBJEXT)
vpwarpmesh_LDADD = $(LDADD)
yuvrect_SOURCES = yuvrect.c
yuvrect_OBJECTS = yuvrect.$(OBJEXT)
yuvrect_LDADD = $(LDADD)
yuvsquare_SOURCES = yuvsquare.c
yuvsquare_OBJECTS = yuvsquare.$(OBJEXT)
yuvsquare_LDADD = $(LDADD)
zbitmap_SOURCES = zbitmap.c
zbitmap_OBJECTS = zbitmap.$(OBJEXT)
zbitmap_LDADD = $(LDADD)
zcomp_SOURCES = zcomp.c
zcomp_OBJECTS = zcomp.$(OBJEXT)
zcomp_LDADD = $(LDADD)
zdrawpix_SOURCES = zdrawpix.c
zdrawpix_OBJECTS = zdrawpix.$(OBJEXT)
zdrawpix_LDADD = $(LDADD)
zreaddraw_SOURCES = zreaddraw.c
zreaddraw_OBJECTS = zreaddraw.$(OBJEXT)
zreaddraw_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = afsmultiarb.c antialias.c arbfpspec.c arbfptest1.c \
	arbfptexture.c arbfptrig.c arbgpuprog.c arbnpot.c \
	arbnpot-mipmap.c arbvparray.c arbvptest1.c arbvptest3.c \
	arbvptorus.c arbvpwarpmesh.c arraytexture.c auxbuffer.c \
	backspecular.c blendxor.c blitfb.c bufferobj.c bug_3050.c \
	bug_3101.c bug_3195.c bug_texstore_i8.c bumpmap.c \
	calibrate_rast.c clip.c condrender.c copypixrate.c cva.c \
	cva_huge.c cylwrap.c drawbuffers.c drawbuffers2.c \
	drawstencil.c exactrast.c ext422square.c fbotest1.c fbotest2.c \
	fbotest3.c fillrate.c floattex.c fogcoord.c fptest1.c \
	fptexture.c $(getprocaddress_SOURCES) \
	$(nodist_getprocaddress_SOURCES) getteximage.c glutfx.c \
	interleave.c invert.c jkrahntest.c lineclip.c linehacks.c \
	manytex.c mapbufrange.c minmag.c mipgen.c mipmap_comp.c \
	mipmap_comp_tests.c mipmap_limits.c mipmap_tunnel.c \
	mipmap_view.c multipal.c multitexarray.c multiwindow.c \
	no_s3tc.c packedpixels.c pbo.c persp_hint.c prim.c \
	prog_parameter.c quads.c random.c readrate.c rubberband.c \
	scissor.c scissor-viewport.c seccolor.c shader-interp.c \
	shader_api.c shadow-sample.c sharedtex.c stencilreaddraw.c \
	stencilwrap.c step.c streaming_rect.c subtex.c subtexrate.c \
	tex1d.c texcmp.c texcompress2.c texcompsub.c texdown.c \
	texfilt.c texgenmix.c texleak.c texline.c texobj.c \
	texobjshare.c texrect.c unfilledclip.c viewmemory.c vparray.c \
	vpeval.c vptest1.c vptest2.c vptest3.c vptorus.c vpwarpmesh.c \
	yuvrect.c yuvsquare.c zbitmap.c zcomp.c zdrawpix.c zreaddraw.c
DIST_SOURCES = afsmultiarb.c antialias.c arbfpspec.c arbfptest1.c \
	arbfptexture.c arbfptrig.c arbgpuprog.c arbnpot.c \
	arbnpot-mipmap.c arbvparray.c arbvptest1.c arbvptest3.c \
	arbvptorus.c arbvpwarpmesh.c arraytexture.c auxbuffer.c \
	backspecular.c blendxor.c blitfb.c bufferobj.c bug_3050.c \
	bug_3101.c bug_3195.c bug_texstore_i8.c bumpmap.c \
	calibrate_rast.c clip.c condrender.c copypixrate.c cva.c \
	cva_huge.c cylwrap.c drawbuffers.c drawbuffers2.c \
	drawstencil.c exactrast.c ext422square.c fbotest1.c fbotest2.c \
	fbotest3.c fillrate.c floattex.c fogcoord.c fptest1.c \
	fptexture.c $(am__getprocaddress_SOURCES_DIST) getteximage.c \
	glutfx.c interleave.c invert.c jkrahntest.c lineclip.c \
	linehacks.c manytex.c mapbufrange.c minmag.c mipgen.c \
	mipmap_comp.c mipmap_comp_tests.c mipmap_limits.c \
	mipmap_tunnel.c mipmap_view.c multipal.c multitexarray.c \
	multiwindow.c no_s3tc.c packedpixels.c pbo.c persp_hint.c \
	prim.c prog_parameter.c quads.c random.c readrate.c \
	rubberband.c scissor.c scissor-viewport.c seccolor.c \
	shader-interp.c shader_api.c shadow-sample.c sharedtex.c \
	stencilreaddraw.c stencilwrap.c step.c streaming_rect.c \
	subtex.c subtexrate.c tex1d.c texcmp.c texcompress2.c \
	texcompsub.c texdown.c texfilt.c texgenmix.c texleak.c \
	texline.c texobj.c texobjshare.c texrect.c unfilledclip.c \
	viewmemory.c vparray.c vpeval.c vptest1.c vptest2.c vptest3.c \
	vptorus.c vpwarpmesh.c yuvrect.c yuvsquare.c zbitmap.c zcomp.c \
	zdrawpix.c zreaddraw.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/missing autoconf
AUTOHEADER = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/missing autoheader
AUTOMAKE = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/missing automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O3 -march=amdfam10
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O3 -march=amdfam10
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"mesa-demos\" -DPACKAGE_TARNAME=\"mesa-demos\" -DPACKAGE_VERSION=\"8.2.0\" -DPACKAGE_STRING=\"mesa-demos\ 8.2.0\" -DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi\?product=Mesa\&component=Demos\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa-demos\" -DVERSION=\"8.2.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_LIBGLUT=1 -DHAVE_FREEGLUT=1 -DDEMOS_DATA_DIR=\"../data/\" -DDEMOS_DATA_DIR=\"../data/\"
DEMOS_DATA_DIR = ../data/
DEMO_CFLAGS =  -I/usr/include/libdrm   -I/tmp/package-glew/usr/include/GL -I/usr/include/libdrm   -I/usr/include/libdrm   -D_GNU_SOURCE -DPTHREADS -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -Wbad-function-cast -Wold-style-definition -Wdeclaration-after-statement
DEMO_LIBS =  -lGL   -L/tmp/package-glew/usr/lib -lGLEW -lGLU -lGL   -lGLU -lGL   -lm
DEPDIR = .deps
DLLTOOL = dlltool
DRM_CFLAGS = -I/usr/include/libdrm  
DRM_LIBS = -ldrm  
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGL_CFLAGS = -I/usr/include/libdrm  
EGL_LIBS = -lEGL  
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
GBM_CFLAGS =  
GBM_LIBS = -lgbm  
GLESV1_CFLAGS =  
GLESV1_LIBS = -lGLESv1_CM  
GLESV2_CFLAGS =  
GLESV2_LIBS = -lGLESv2  
GLEW_CFLAGS = -I/tmp/package-glew/usr/include/GL -I/usr/include/libdrm  
GLEW_LIBS = -L/tmp/package-glew/usr/lib -lGLEW -lGLU -lGL  
GLUT_CFLAGS = 
GLUT_LIBS = -lglut
GLU_CFLAGS = -I/usr/include/libdrm  
GLU_LIBS = -lGLU -lGL  
GL_CFLAGS = -I/usr/include/libdrm  
GL_LIBS = -lGL  
GREP = /usr/bin/grep
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/i486-slackware-linux/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/missing makeinfo
MANIFEST_TOOL = :
MESA_GLAPI = /src/mapi/glapi/gen
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OSMESA16_LIBS = -lOSMesa
OSMESA32_LIBS = -lOSMesa  
OSMESA_CFLAGS =  
OSMESA_LIBS = -lOSMesa
OTOOL = 
OTOOL64 = 
PACKAGE = mesa-demos
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa&component=Demos
PACKAGE_NAME = mesa-demos
PACKAGE_STRING = mesa-demos 8.2.0
PACKAGE_TARNAME = mesa-demos
PACKAGE_URL = 
PACKAGE_VERSION = 8.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /usr/local/lib/pkgconfig:/usr/lib/pkgconfig
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 8.2.0
VG_CFLAGS = 
VG_LIBS = 
WAYLAND_CFLAGS = 
WAYLAND_LIBS = 
X11_CFLAGS =  
X11_LIBS = -lX11 -lXext  
abs_builddir = /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/src/tests
abs_srcdir = /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/src/tests
abs_top_builddir = /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0
abs_top_srcdir = /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /mnt/sda3/build32/32-stuff/mesa32/mesa-demos-8.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
AM_CFLAGS = \
	$(DEMO_CFLAGS) \
	$(GLUT_CFLAGS) \
	-I$(top_srcdir)/src/util

AM_LDFLAGS = \
	$(DEMO_LIBS) \
	$(GLUT_LIBS)

#GETPROCADDRESS = getprocaddress
#getprocaddress_SOURCES = \
#	getprocaddress.c

#nodist_getprocaddress_SOURCES = \
#	getproclist.h

#BUILT_SOURCES = \
#	getproclist.h

afsmultiarb_LDADD = ../util/libutil.la
arraytexture_LDADD = ../util/libutil.la
auxbuffer_LDADD = -lX11
bug_3195_LDADD = ../util/libutil.la
bumpmap_LDADD = ../util/libutil.la
floattex_LDADD = ../util/libutil.la
fillrate_LDADD = ../util/libutil.la
invert_LDADD = ../util/libutil.la
jkrahntest_LDADD = -lX11
linehacks_LDADD = ../util/libutil.la
mipmap_limits_LDADD = ../util/libutil.la
mipmap_view_LDADD = ../util/libutil.la
sharedtex_LDADD = -lX11
shader_interp_LDADD = ../util/libutil.la
texobjshare_LDADD = -lX11
texrect_LDADD = ../util/libutil.la
EXTRA_DIST = \
	Makefile.am \
	getprocaddress.py \
	texcomp_image.h \
	tkmap.c

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

afsmultiarb$(EXEEXT): $(afsmultiarb_OBJECTS) $(afsmultiarb_DEPENDENCIES) $(EXTRA_afsmultiarb_DEPENDENCIES) 
	@rm -f afsmultiarb$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(afsmultiarb_OBJECTS) $(afsmultiarb_LDADD) $(LIBS)

antialias$(EXEEXT): $(antialias_OBJECTS) $(antialias_DEPENDENCIES) $(EXTRA_antialias_DEPENDENCIES) 
	@rm -f antialias$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(antialias_OBJECTS) $(antialias_LDADD) $(LIBS)

arbfpspec$(EXEEXT): $(arbfpspec_OBJECTS) $(arbfpspec_DEPENDENCIES) $(EXTRA_arbfpspec_DEPENDENCIES) 
	@rm -f arbfpspec$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbfpspec_OBJECTS) $(arbfpspec_LDADD) $(LIBS)

arbfptest1$(EXEEXT): $(arbfptest1_OBJECTS) $(arbfptest1_DEPENDENCIES) $(EXTRA_arbfptest1_DEPENDENCIES) 
	@rm -f arbfptest1$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbfptest1_OBJECTS) $(arbfptest1_LDADD) $(LIBS)

arbfptexture$(EXEEXT): $(arbfptexture_OBJECTS) $(arbfptexture_DEPENDENCIES) $(EXTRA_arbfptexture_DEPENDENCIES) 
	@rm -f arbfptexture$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbfptexture_OBJECTS) $(arbfptexture_LDADD) $(LIBS)

arbfptrig$(EXEEXT): $(arbfptrig_OBJECTS) $(arbfptrig_DEPENDENCIES) $(EXTRA_arbfptrig_DEPENDENCIES) 
	@rm -f arbfptrig$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbfptrig_OBJECTS) $(arbfptrig_LDADD) $(LIBS)

arbgpuprog$(EXEEXT): $(arbgpuprog_OBJECTS) $(arbgpuprog_DEPENDENCIES) $(EXTRA_arbgpuprog_DEPENDENCIES) 
	@rm -f arbgpuprog$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbgpuprog_OBJECTS) $(arbgpuprog_LDADD) $(LIBS)

arbnpot$(EXEEXT): $(arbnpot_OBJECTS) $(arbnpot_DEPENDENCIES) $(EXTRA_arbnpot_DEPENDENCIES) 
	@rm -f arbnpot$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbnpot_OBJECTS) $(arbnpot_LDADD) $(LIBS)

arbnpot-mipmap$(EXEEXT): $(arbnpot_mipmap_OBJECTS) $(arbnpot_mipmap_DEPENDENCIES) $(EXTRA_arbnpot_mipmap_DEPENDENCIES) 
	@rm -f arbnpot-mipmap$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbnpot_mipmap_OBJECTS) $(arbnpot_mipmap_LDADD) $(LIBS)

arbvparray$(EXEEXT): $(arbvparray_OBJECTS) $(arbvparray_DEPENDENCIES) $(EXTRA_arbvparray_DEPENDENCIES) 
	@rm -f arbvparray$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbvparray_OBJECTS) $(arbvparray_LDADD) $(LIBS)

arbvptest1$(EXEEXT): $(arbvptest1_OBJECTS) $(arbvptest1_DEPENDENCIES) $(EXTRA_arbvptest1_DEPENDENCIES) 
	@rm -f arbvptest1$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbvptest1_OBJECTS) $(arbvptest1_LDADD) $(LIBS)

arbvptest3$(EXEEXT): $(arbvptest3_OBJECTS) $(arbvptest3_DEPENDENCIES) $(EXTRA_arbvptest3_DEPENDENCIES) 
	@rm -f arbvptest3$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbvptest3_OBJECTS) $(arbvptest3_LDADD) $(LIBS)

arbvptorus$(EXEEXT): $(arbvptorus_OBJECTS) $(arbvptorus_DEPENDENCIES) $(EXTRA_arbvptorus_DEPENDENCIES) 
	@rm -f arbvptorus$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbvptorus_OBJECTS) $(arbvptorus_LDADD) $(LIBS)

arbvpwarpmesh$(EXEEXT): $(arbvpwarpmesh_OBJECTS) $(arbvpwarpmesh_DEPENDENCIES) $(EXTRA_arbvpwarpmesh_DEPENDENCIES) 
	@rm -f arbvpwarpmesh$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arbvpwarpmesh_OBJECTS) $(arbvpwarpmesh_LDADD) $(LIBS)

arraytexture$(EXEEXT): $(arraytexture_OBJECTS) $(arraytexture_DEPENDENCIES) $(EXTRA_arraytexture_DEPENDENCIES) 
	@rm -f arraytexture$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(arraytexture_OBJECTS) $(arraytexture_LDADD) $(LIBS)

auxbuffer$(EXEEXT): $(auxbuffer_OBJECTS) $(auxbuffer_DEPENDENCIES) $(EXTRA_auxbuffer_DEPENDENCIES) 
	@rm -f auxbuffer$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(auxbuffer_OBJECTS) $(auxbuffer_LDADD) $(LIBS)

backspecular$(EXEEXT): $(backspecular_OBJECTS) $(backspecular_DEPENDENCIES) $(EXTRA_backspecular_DEPENDENCIES) 
	@rm -f backspecular$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(backspecular_OBJECTS) $(backspecular_LDADD) $(LIBS)

blendxor$(EXEEXT): $(blendxor_OBJECTS) $(blendxor_DEPENDENCIES) $(EXTRA_blendxor_DEPENDENCIES) 
	@rm -f blendxor$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(blendxor_OBJECTS) $(blendxor_LDADD) $(LIBS)

blitfb$(EXEEXT): $(blitfb_OBJECTS) $(blitfb_DEPENDENCIES) $(EXTRA_blitfb_DEPENDENCIES) 
	@rm -f blitfb$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(blitfb_OBJECTS) $(blitfb_LDADD) $(LIBS)

bufferobj$(EXEEXT): $(bufferobj_OBJECTS) $(bufferobj_DEPENDENCIES) $(EXTRA_bufferobj_DEPENDENCIES) 
	@rm -f bufferobj$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bufferobj_OBJECTS) $(bufferobj_LDADD) $(LIBS)

bug_3050$(EXEEXT): $(bug_3050_OBJECTS) $(bug_3050_DEPENDENCIES) $(EXTRA_bug_3050_DEPENDENCIES) 
	@rm -f bug_3050$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bug_3050_OBJECTS) $(bug_3050_LDADD) $(LIBS)

bug_3101$(EXEEXT): $(bug_3101_OBJECTS) $(bug_3101_DEPENDENCIES) $(EXTRA_bug_3101_DEPENDENCIES) 
	@rm -f bug_3101$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bug_3101_OBJECTS) $(bug_3101_LDADD) $(LIBS)

bug_3195$(EXEEXT): $(bug_3195_OBJECTS) $(bug_3195_DEPENDENCIES) $(EXTRA_bug_3195_DEPENDENCIES) 
	@rm -f bug_3195$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bug_3195_OBJECTS) $(bug_3195_LDADD) $(LIBS)

bug_texstore_i8$(EXEEXT): $(bug_texstore_i8_OBJECTS) $(bug_texstore_i8_DEPENDENCIES) $(EXTRA_bug_texstore_i8_DEPENDENCIES) 
	@rm -f bug_texstore_i8$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bug_texstore_i8_OBJECTS) $(bug_texstore_i8_LDADD) $(LIBS)

bumpmap$(EXEEXT): $(bumpmap_OBJECTS) $(bumpmap_DEPENDENCIES) $(EXTRA_bumpmap_DEPENDENCIES) 
	@rm -f bumpmap$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(bumpmap_OBJECTS) $(bumpmap_LDADD) $(LIBS)

calibrate_rast$(EXEEXT): $(calibrate_rast_OBJECTS) $(calibrate_rast_DEPENDENCIES) $(EXTRA_calibrate_rast_DEPENDENCIES) 
	@rm -f calibrate_rast$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(calibrate_rast_OBJECTS) $(calibrate_rast_LDADD) $(LIBS)

clip$(EXEEXT): $(clip_OBJECTS) $(clip_DEPENDENCIES) $(EXTRA_clip_DEPENDENCIES) 
	@rm -f clip$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(clip_OBJECTS) $(clip_LDADD) $(LIBS)

condrender$(EXEEXT): $(condrender_OBJECTS) $(condrender_DEPENDENCIES) $(EXTRA_condrender_DEPENDENCIES) 
	@rm -f condrender$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(condrender_OBJECTS) $(condrender_LDADD) $(LIBS)

copypixrate$(EXEEXT): $(copypixrate_OBJECTS) $(copypixrate_DEPENDENCIES) $(EXTRA_copypixrate_DEPENDENCIES) 
	@rm -f copypixrate$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(copypixrate_OBJECTS) $(copypixrate_LDADD) $(LIBS)

cva$(EXEEXT): $(cva_OBJECTS) $(cva_DEPENDENCIES) $(EXTRA_cva_DEPENDENCIES) 
	@rm -f cva$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cva_OBJECTS) $(cva_LDADD) $(LIBS)

cva_huge$(EXEEXT): $(cva_huge_OBJECTS) $(cva_huge_DEPENDENCIES) $(EXTRA_cva_huge_DEPENDENCIES) 
	@rm -f cva_huge$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cva_huge_OBJECTS) $(cva_huge_LDADD) $(LIBS)

cylwrap$(EXEEXT): $(cylwrap_OBJECTS) $(cylwrap_DEPENDENCIES) $(EXTRA_cylwrap_DEPENDENCIES) 
	@rm -f cylwrap$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cylwrap_OBJECTS) $(cylwrap_LDADD) $(LIBS)

drawbuffers$(EXEEXT): $(drawbuffers_OBJECTS) $(drawbuffers_DEPENDENCIES) $(EXTRA_drawbuffers_DEPENDENCIES) 
	@rm -f drawbuffers$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(drawbuffers_OBJECTS) $(drawbuffers_LDADD) $(LIBS)

drawbuffers2$(EXEEXT): $(drawbuffers2_OBJECTS) $(drawbuffers2_DEPENDENCIES) $(EXTRA_drawbuffers2_DEPENDENCIES) 
	@rm -f drawbuffers2$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(drawbuffers2_OBJECTS) $(drawbuffers2_LDADD) $(LIBS)

drawstencil$(EXEEXT): $(drawstencil_OBJECTS) $(drawstencil_DEPENDENCIES) $(EXTRA_drawstencil_DEPENDENCIES) 
	@rm -f drawstencil$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(drawstencil_OBJECTS) $(drawstencil_LDADD) $(LIBS)

exactrast$(EXEEXT): $(exactrast_OBJECTS) $(exactrast_DEPENDENCIES) $(EXTRA_exactrast_DEPENDENCIES) 
	@rm -f exactrast$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(exactrast_OBJECTS) $(exactrast_LDADD) $(LIBS)

ext422square$(EXEEXT): $(ext422square_OBJECTS) $(ext422square_DEPENDENCIES) $(EXTRA_ext422square_DEPENDENCIES) 
	@rm -f ext422square$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(ext422square_OBJECTS) $(ext422square_LDADD) $(LIBS)

fbotest1$(EXEEXT): $(fbotest1_OBJECTS) $(fbotest1_DEPENDENCIES) $(EXTRA_fbotest1_DEPENDENCIES) 
	@rm -f fbotest1$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fbotest1_OBJECTS) $(fbotest1_LDADD) $(LIBS)

fbotest2$(EXEEXT): $(fbotest2_OBJECTS) $(fbotest2_DEPENDENCIES) $(EXTRA_fbotest2_DEPENDENCIES) 
	@rm -f fbotest2$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fbotest2_OBJECTS) $(fbotest2_LDADD) $(LIBS)

fbotest3$(EXEEXT): $(fbotest3_OBJECTS) $(fbotest3_DEPENDENCIES) $(EXTRA_fbotest3_DEPENDENCIES) 
	@rm -f fbotest3$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fbotest3_OBJECTS) $(fbotest3_LDADD) $(LIBS)

fillrate$(EXEEXT): $(fillrate_OBJECTS) $(fillrate_DEPENDENCIES) $(EXTRA_fillrate_DEPENDENCIES) 
	@rm -f fillrate$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fillrate_OBJECTS) $(fillrate_LDADD) $(LIBS)

floattex$(EXEEXT): $(floattex_OBJECTS) $(floattex_DEPENDENCIES) $(EXTRA_floattex_DEPENDENCIES) 
	@rm -f floattex$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(floattex_OBJECTS) $(floattex_LDADD) $(LIBS)

fogcoord$(EXEEXT): $(fogcoord_OBJECTS) $(fogcoord_DEPENDENCIES) $(EXTRA_fogcoord_DEPENDENCIES) 
	@rm -f fogcoord$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fogcoord_OBJECTS) $(fogcoord_LDADD) $(LIBS)

fptest1$(EXEEXT): $(fptest1_OBJECTS) $(fptest1_DEPENDENCIES) $(EXTRA_fptest1_DEPENDENCIES) 
	@rm -f fptest1$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fptest1_OBJECTS) $(fptest1_LDADD) $(LIBS)

fptexture$(EXEEXT): $(fptexture_OBJECTS) $(fptexture_DEPENDENCIES) $(EXTRA_fptexture_DEPENDENCIES) 
	@rm -f fptexture$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fptexture_OBJECTS) $(fptexture_LDADD) $(LIBS)

getprocaddress$(EXEEXT): $(getprocaddress_OBJECTS) $(getprocaddress_DEPENDENCIES) $(EXTRA_getprocaddress_DEPENDENCIES) 
	@rm -f getprocaddress$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(getprocaddress_OBJECTS) $(getprocaddress_LDADD) $(LIBS)

getteximage$(EXEEXT): $(getteximage_OBJECTS) $(getteximage_DEPENDENCIES) $(EXTRA_getteximage_DEPENDENCIES) 
	@rm -f getteximage$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(getteximage_OBJECTS) $(getteximage_LDADD) $(LIBS)

glutfx$(EXEEXT): $(glutfx_OBJECTS) $(glutfx_DEPENDENCIES) $(EXTRA_glutfx_DEPENDENCIES) 
	@rm -f glutfx$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(glutfx_OBJECTS) $(glutfx_LDADD) $(LIBS)

interleave$(EXEEXT): $(interleave_OBJECTS) $(interleave_DEPENDENCIES) $(EXTRA_interleave_DEPENDENCIES) 
	@rm -f interleave$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(interleave_OBJECTS) $(interleave_LDADD) $(LIBS)

invert$(EXEEXT): $(invert_OBJECTS) $(invert_DEPENDENCIES) $(EXTRA_invert_DEPENDENCIES) 
	@rm -f invert$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(invert_OBJECTS) $(invert_LDADD) $(LIBS)

jkrahntest$(EXEEXT): $(jkrahntest_OBJECTS) $(jkrahntest_DEPENDENCIES) $(EXTRA_jkrahntest_DEPENDENCIES) 
	@rm -f jkrahntest$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(jkrahntest_OBJECTS) $(jkrahntest_LDADD) $(LIBS)

lineclip$(EXEEXT): $(lineclip_OBJECTS) $(lineclip_DEPENDENCIES) $(EXTRA_lineclip_DEPENDENCIES) 
	@rm -f lineclip$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(lineclip_OBJECTS) $(lineclip_LDADD) $(LIBS)

linehacks$(EXEEXT): $(linehacks_OBJECTS) $(linehacks_DEPENDENCIES) $(EXTRA_linehacks_DEPENDENCIES) 
	@rm -f linehacks$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(linehacks_OBJECTS) $(linehacks_LDADD) $(LIBS)

manytex$(EXEEXT): $(manytex_OBJECTS) $(manytex_DEPENDENCIES) $(EXTRA_manytex_DEPENDENCIES) 
	@rm -f manytex$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(manytex_OBJECTS) $(manytex_LDADD) $(LIBS)

mapbufrange$(EXEEXT): $(mapbufrange_OBJECTS) $(mapbufrange_DEPENDENCIES) $(EXTRA_mapbufrange_DEPENDENCIES) 
	@rm -f mapbufrange$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mapbufrange_OBJECTS) $(mapbufrange_LDADD) $(LIBS)

minmag$(EXEEXT): $(minmag_OBJECTS) $(minmag_DEPENDENCIES) $(EXTRA_minmag_DEPENDENCIES) 
	@rm -f minmag$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(minmag_OBJECTS) $(minmag_LDADD) $(LIBS)

mipgen$(EXEEXT): $(mipgen_OBJECTS) $(mipgen_DEPENDENCIES) $(EXTRA_mipgen_DEPENDENCIES) 
	@rm -f mipgen$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipgen_OBJECTS) $(mipgen_LDADD) $(LIBS)

mipmap_comp$(EXEEXT): $(mipmap_comp_OBJECTS) $(mipmap_comp_DEPENDENCIES) $(EXTRA_mipmap_comp_DEPENDENCIES) 
	@rm -f mipmap_comp$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipmap_comp_OBJECTS) $(mipmap_comp_LDADD) $(LIBS)

mipmap_comp_tests$(EXEEXT): $(mipmap_comp_tests_OBJECTS) $(mipmap_comp_tests_DEPENDENCIES) $(EXTRA_mipmap_comp_tests_DEPENDENCIES) 
	@rm -f mipmap_comp_tests$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipmap_comp_tests_OBJECTS) $(mipmap_comp_tests_LDADD) $(LIBS)

mipmap_limits$(EXEEXT): $(mipmap_limits_OBJECTS) $(mipmap_limits_DEPENDENCIES) $(EXTRA_mipmap_limits_DEPENDENCIES) 
	@rm -f mipmap_limits$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipmap_limits_OBJECTS) $(mipmap_limits_LDADD) $(LIBS)

mipmap_tunnel$(EXEEXT): $(mipmap_tunnel_OBJECTS) $(mipmap_tunnel_DEPENDENCIES) $(EXTRA_mipmap_tunnel_DEPENDENCIES) 
	@rm -f mipmap_tunnel$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipmap_tunnel_OBJECTS) $(mipmap_tunnel_LDADD) $(LIBS)

mipmap_view$(EXEEXT): $(mipmap_view_OBJECTS) $(mipmap_view_DEPENDENCIES) $(EXTRA_mipmap_view_DEPENDENCIES) 
	@rm -f mipmap_view$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(mipmap_view_OBJECTS) $(mipmap_view_LDADD) $(LIBS)

multipal$(EXEEXT): $(multipal_OBJECTS) $(multipal_DEPENDENCIES) $(EXTRA_multipal_DEPENDENCIES) 
	@rm -f multipal$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(multipal_OBJECTS) $(multipal_LDADD) $(LIBS)

multitexarray$(EXEEXT): $(multitexarray_OBJECTS) $(multitexarray_DEPENDENCIES) $(EXTRA_multitexarray_DEPENDENCIES) 
	@rm -f multitexarray$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(multitexarray_OBJECTS) $(multitexarray_LDADD) $(LIBS)

multiwindow$(EXEEXT): $(multiwindow_OBJECTS) $(multiwindow_DEPENDENCIES) $(EXTRA_multiwindow_DEPENDENCIES) 
	@rm -f multiwindow$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(multiwindow_OBJECTS) $(multiwindow_LDADD) $(LIBS)

no_s3tc$(EXEEXT): $(no_s3tc_OBJECTS) $(no_s3tc_DEPENDENCIES) $(EXTRA_no_s3tc_DEPENDENCIES) 
	@rm -f no_s3tc$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(no_s3tc_OBJECTS) $(no_s3tc_LDADD) $(LIBS)

packedpixels$(EXEEXT): $(packedpixels_OBJECTS) $(packedpixels_DEPENDENCIES) $(EXTRA_packedpixels_DEPENDENCIES) 
	@rm -f packedpixels$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(packedpixels_OBJECTS) $(packedpixels_LDADD) $(LIBS)

pbo$(EXEEXT): $(pbo_OBJECTS) $(pbo_DEPENDENCIES) $(EXTRA_pbo_DEPENDENCIES) 
	@rm -f pbo$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pbo_OBJECTS) $(pbo_LDADD) $(LIBS)

persp_hint$(EXEEXT): $(persp_hint_OBJECTS) $(persp_hint_DEPENDENCIES) $(EXTRA_persp_hint_DEPENDENCIES) 
	@rm -f persp_hint$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(persp_hint_OBJECTS) $(persp_hint_LDADD) $(LIBS)

prim$(EXEEXT): $(prim_OBJECTS) $(prim_DEPENDENCIES) $(EXTRA_prim_DEPENDENCIES) 
	@rm -f prim$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(prim_OBJECTS) $(prim_LDADD) $(LIBS)

prog_parameter$(EXEEXT): $(prog_parameter_OBJECTS) $(prog_parameter_DEPENDENCIES) $(EXTRA_prog_parameter_DEPENDENCIES) 
	@rm -f prog_parameter$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(prog_parameter_OBJECTS) $(prog_parameter_LDADD) $(LIBS)

quads$(EXEEXT): $(quads_OBJECTS) $(quads_DEPENDENCIES) $(EXTRA_quads_DEPENDENCIES) 
	@rm -f quads$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(quads_OBJECTS) $(quads_LDADD) $(LIBS)

random$(EXEEXT): $(random_OBJECTS) $(random_DEPENDENCIES) $(EXTRA_random_DEPENDENCIES) 
	@rm -f random$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(random_OBJECTS) $(random_LDADD) $(LIBS)

readrate$(EXEEXT): $(readrate_OBJECTS) $(readrate_DEPENDENCIES) $(EXTRA_readrate_DEPENDENCIES) 
	@rm -f readrate$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(readrate_OBJECTS) $(readrate_LDADD) $(LIBS)

rubberband$(EXEEXT): $(rubberband_OBJECTS) $(rubberband_DEPENDENCIES) $(EXTRA_rubberband_DEPENDENCIES) 
	@rm -f rubberband$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rubberband_OBJECTS) $(rubberband_LDADD) $(LIBS)

scissor$(EXEEXT): $(scissor_OBJECTS) $(scissor_DEPENDENCIES) $(EXTRA_scissor_DEPENDENCIES) 
	@rm -f scissor$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(scissor_OBJECTS) $(scissor_LDADD) $(LIBS)

scissor-viewport$(EXEEXT): $(scissor_viewport_OBJECTS) $(scissor_viewport_DEPENDENCIES) $(EXTRA_scissor_viewport_DEPENDENCIES) 
	@rm -f scissor-viewport$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(scissor_viewport_OBJECTS) $(scissor_viewport_LDADD) $(LIBS)

seccolor$(EXEEXT): $(seccolor_OBJECTS) $(seccolor_DEPENDENCIES) $(EXTRA_seccolor_DEPENDENCIES) 
	@rm -f seccolor$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(seccolor_OBJECTS) $(seccolor_LDADD) $(LIBS)

shader-interp$(EXEEXT): $(shader_interp_OBJECTS) $(shader_interp_DEPENDENCIES) $(EXTRA_shader_interp_DEPENDENCIES) 
	@rm -f shader-interp$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(shader_interp_OBJECTS) $(shader_interp_LDADD) $(LIBS)

shader_api$(EXEEXT): $(shader_api_OBJECTS) $(shader_api_DEPENDENCIES) $(EXTRA_shader_api_DEPENDENCIES) 
	@rm -f shader_api$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(shader_api_OBJECTS) $(shader_api_LDADD) $(LIBS)

shadow-sample$(EXEEXT): $(shadow_sample_OBJECTS) $(shadow_sample_DEPENDENCIES) $(EXTRA_shadow_sample_DEPENDENCIES) 
	@rm -f shadow-sample$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(shadow_sample_OBJECTS) $(shadow_sample_LDADD) $(LIBS)

sharedtex$(EXEEXT): $(sharedtex_OBJECTS) $(sharedtex_DEPENDENCIES) $(EXTRA_sharedtex_DEPENDENCIES) 
	@rm -f sharedtex$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(sharedtex_OBJECTS) $(sharedtex_LDADD) $(LIBS)

stencilreaddraw$(EXEEXT): $(stencilreaddraw_OBJECTS) $(stencilreaddraw_DEPENDENCIES) $(EXTRA_stencilreaddraw_DEPENDENCIES) 
	@rm -f stencilreaddraw$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(stencilreaddraw_OBJECTS) $(stencilreaddraw_LDADD) $(LIBS)

stencilwrap$(EXEEXT): $(stencilwrap_OBJECTS) $(stencilwrap_DEPENDENCIES) $(EXTRA_stencilwrap_DEPENDENCIES) 
	@rm -f stencilwrap$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(stencilwrap_OBJECTS) $(stencilwrap_LDADD) $(LIBS)

step$(EXEEXT): $(step_OBJECTS) $(step_DEPENDENCIES) $(EXTRA_step_DEPENDENCIES) 
	@rm -f step$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(step_OBJECTS) $(step_LDADD) $(LIBS)

streaming_rect$(EXEEXT): $(streaming_rect_OBJECTS) $(streaming_rect_DEPENDENCIES) $(EXTRA_streaming_rect_DEPENDENCIES) 
	@rm -f streaming_rect$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(streaming_rect_OBJECTS) $(streaming_rect_LDADD) $(LIBS)

subtex$(EXEEXT): $(subtex_OBJECTS) $(subtex_DEPENDENCIES) $(EXTRA_subtex_DEPENDENCIES) 
	@rm -f subtex$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(subtex_OBJECTS) $(subtex_LDADD) $(LIBS)

subtexrate$(EXEEXT): $(subtexrate_OBJECTS) $(subtexrate_DEPENDENCIES) $(EXTRA_subtexrate_DEPENDENCIES) 
	@rm -f subtexrate$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(subtexrate_OBJECTS) $(subtexrate_LDADD) $(LIBS)

tex1d$(EXEEXT): $(tex1d_OBJECTS) $(tex1d_DEPENDENCIES) $(EXTRA_tex1d_DEPENDENCIES) 
	@rm -f tex1d$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(tex1d_OBJECTS) $(tex1d_LDADD) $(LIBS)

texcmp$(EXEEXT): $(texcmp_OBJECTS) $(texcmp_DEPENDENCIES) $(EXTRA_texcmp_DEPENDENCIES) 
	@rm -f texcmp$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texcmp_OBJECTS) $(texcmp_LDADD) $(LIBS)

texcompress2$(EXEEXT): $(texcompress2_OBJECTS) $(texcompress2_DEPENDENCIES) $(EXTRA_texcompress2_DEPENDENCIES) 
	@rm -f texcompress2$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texcompress2_OBJECTS) $(texcompress2_LDADD) $(LIBS)

texcompsub$(EXEEXT): $(texcompsub_OBJECTS) $(texcompsub_DEPENDENCIES) $(EXTRA_texcompsub_DEPENDENCIES) 
	@rm -f texcompsub$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texcompsub_OBJECTS) $(texcompsub_LDADD) $(LIBS)

texdown$(EXEEXT): $(texdown_OBJECTS) $(texdown_DEPENDENCIES) $(EXTRA_texdown_DEPENDENCIES) 
	@rm -f texdown$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texdown_OBJECTS) $(texdown_LDADD) $(LIBS)

texfilt$(EXEEXT): $(texfilt_OBJECTS) $(texfilt_DEPENDENCIES) $(EXTRA_texfilt_DEPENDENCIES) 
	@rm -f texfilt$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texfilt_OBJECTS) $(texfilt_LDADD) $(LIBS)

texgenmix$(EXEEXT): $(texgenmix_OBJECTS) $(texgenmix_DEPENDENCIES) $(EXTRA_texgenmix_DEPENDENCIES) 
	@rm -f texgenmix$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texgenmix_OBJECTS) $(texgenmix_LDADD) $(LIBS)

texleak$(EXEEXT): $(texleak_OBJECTS) $(texleak_DEPENDENCIES) $(EXTRA_texleak_DEPENDENCIES) 
	@rm -f texleak$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texleak_OBJECTS) $(texleak_LDADD) $(LIBS)

texline$(EXEEXT): $(texline_OBJECTS) $(texline_DEPENDENCIES) $(EXTRA_texline_DEPENDENCIES) 
	@rm -f texline$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texline_OBJECTS) $(texline_LDADD) $(LIBS)

texobj$(EXEEXT): $(texobj_OBJECTS) $(texobj_DEPENDENCIES) $(EXTRA_texobj_DEPENDENCIES) 
	@rm -f texobj$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texobj_OBJECTS) $(texobj_LDADD) $(LIBS)

texobjshare$(EXEEXT): $(texobjshare_OBJECTS) $(texobjshare_DEPENDENCIES) $(EXTRA_texobjshare_DEPENDENCIES) 
	@rm -f texobjshare$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texobjshare_OBJECTS) $(texobjshare_LDADD) $(LIBS)

texrect$(EXEEXT): $(texrect_OBJECTS) $(texrect_DEPENDENCIES) $(EXTRA_texrect_DEPENDENCIES) 
	@rm -f texrect$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(texrect_OBJECTS) $(texrect_LDADD) $(LIBS)

unfilledclip$(EXEEXT): $(unfilledclip_OBJECTS) $(unfilledclip_DEPENDENCIES) $(EXTRA_unfilledclip_DEPENDENCIES) 
	@rm -f unfilledclip$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(unfilledclip_OBJECTS) $(unfilledclip_LDADD) $(LIBS)

viewmemory$(EXEEXT): $(viewmemory_OBJECTS) $(viewmemory_DEPENDENCIES) $(EXTRA_viewmemory_DEPENDENCIES) 
	@rm -f viewmemory$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(viewmemory_OBJECTS) $(viewmemory_LDADD) $(LIBS)

vparray$(EXEEXT): $(vparray_OBJECTS) $(vparray_DEPENDENCIES) $(EXTRA_vparray_DEPENDENCIES) 
	@rm -f vparray$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vparray_OBJECTS) $(vparray_LDADD) $(LIBS)

vpeval$(EXEEXT): $(vpeval_OBJECTS) $(vpeval_DEPENDENCIES) $(EXTRA_vpeval_DEPENDENCIES) 
	@rm -f vpeval$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vpeval_OBJECTS) $(vpeval_LDADD) $(LIBS)

vptest1$(EXEEXT): $(vptest1_OBJECTS) $(vptest1_DEPENDENCIES) $(EXTRA_vptest1_DEPENDENCIES) 
	@rm -f vptest1$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vptest1_OBJECTS) $(vptest1_LDADD) $(LIBS)

vptest2$(EXEEXT): $(vptest2_OBJECTS) $(vptest2_DEPENDENCIES) $(EXTRA_vptest2_DEPENDENCIES) 
	@rm -f vptest2$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vptest2_OBJECTS) $(vptest2_LDADD) $(LIBS)

vptest3$(EXEEXT): $(vptest3_OBJECTS) $(vptest3_DEPENDENCIES) $(EXTRA_vptest3_DEPENDENCIES) 
	@rm -f vptest3$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vptest3_OBJECTS) $(vptest3_LDADD) $(LIBS)

vptorus$(EXEEXT): $(vptorus_OBJECTS) $(vptorus_DEPENDENCIES) $(EXTRA_vptorus_DEPENDENCIES) 
	@rm -f vptorus$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vptorus_OBJECTS) $(vptorus_LDADD) $(LIBS)

vpwarpmesh$(EXEEXT): $(vpwarpmesh_OBJECTS) $(vpwarpmesh_DEPENDENCIES) $(EXTRA_vpwarpmesh_DEPENDENCIES) 
	@rm -f vpwarpmesh$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(vpwarpmesh_OBJECTS) $(vpwarpmesh_LDADD) $(LIBS)

yuvrect$(EXEEXT): $(yuvrect_OBJECTS) $(yuvrect_DEPENDENCIES) $(EXTRA_yuvrect_DEPENDENCIES) 
	@rm -f yuvrect$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(yuvrect_OBJECTS) $(yuvrect_LDADD) $(LIBS)

yuvsquare$(EXEEXT): $(yuvsquare_OBJECTS) $(yuvsquare_DEPENDENCIES) $(EXTRA_yuvsquare_DEPENDENCIES) 
	@rm -f yuvsquare$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(yuvsquare_OBJECTS) $(yuvsquare_LDADD) $(LIBS)

zbitmap$(EXEEXT): $(zbitmap_OBJECTS) $(zbitmap_DEPENDENCIES) $(EXTRA_zbitmap_DEPENDENCIES) 
	@rm -f zbitmap$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(zbitmap_OBJECTS) $(zbitmap_LDADD) $(LIBS)

zcomp$(EXEEXT): $(zcomp_OBJECTS) $(zcomp_DEPENDENCIES) $(EXTRA_zcomp_DEPENDENCIES) 
	@rm -f zcomp$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(zcomp_OBJECTS) $(zcomp_LDADD) $(LIBS)

zdrawpix$(EXEEXT): $(zdrawpix_OBJECTS) $(zdrawpix_DEPENDENCIES) $(EXTRA_zdrawpix_DEPENDENCIES) 
	@rm -f zdrawpix$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(zdrawpix_OBJECTS) $(zdrawpix_LDADD) $(LIBS)

zreaddraw$(EXEEXT): $(zreaddraw_OBJECTS) $(zreaddraw_DEPENDENCIES) $(EXTRA_zreaddraw_DEPENDENCIES) 
	@rm -f zreaddraw$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(zreaddraw_OBJECTS) $(zreaddraw_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/afsmultiarb.Po
include ./$(DEPDIR)/antialias.Po
include ./$(DEPDIR)/arbfpspec.Po
include ./$(DEPDIR)/arbfptest1.Po
include ./$(DEPDIR)/arbfptexture.Po
include ./$(DEPDIR)/arbfptrig.Po
include ./$(DEPDIR)/arbgpuprog.Po
include ./$(DEPDIR)/arbnpot-mipmap.Po
include ./$(DEPDIR)/arbnpot.Po
include ./$(DEPDIR)/arbvparray.Po
include ./$(DEPDIR)/arbvptest1.Po
include ./$(DEPDIR)/arbvptest3.Po
include ./$(DEPDIR)/arbvptorus.Po
include ./$(DEPDIR)/arbvpwarpmesh.Po
include ./$(DEPDIR)/arraytexture.Po
include ./$(DEPDIR)/auxbuffer.Po
include ./$(DEPDIR)/backspecular.Po
include ./$(DEPDIR)/blendxor.Po
include ./$(DEPDIR)/blitfb.Po
include ./$(DEPDIR)/bufferobj.Po
include ./$(DEPDIR)/bug_3050.Po
include ./$(DEPDIR)/bug_3101.Po
include ./$(DEPDIR)/bug_3195.Po
include ./$(DEPDIR)/bug_texstore_i8.Po
include ./$(DEPDIR)/bumpmap.Po
include ./$(DEPDIR)/calibrate_rast.Po
include ./$(DEPDIR)/clip.Po
include ./$(DEPDIR)/condrender.Po
include ./$(DEPDIR)/copypixrate.Po
include ./$(DEPDIR)/cva.Po
include ./$(DEPDIR)/cva_huge.Po
include ./$(DEPDIR)/cylwrap.Po
include ./$(DEPDIR)/drawbuffers.Po
include ./$(DEPDIR)/drawbuffers2.Po
include ./$(DEPDIR)/drawstencil.Po
include ./$(DEPDIR)/exactrast.Po
include ./$(DEPDIR)/ext422square.Po
include ./$(DEPDIR)/fbotest1.Po
include ./$(DEPDIR)/fbotest2.Po
include ./$(DEPDIR)/fbotest3.Po
include ./$(DEPDIR)/fillrate.Po
include ./$(DEPDIR)/floattex.Po
include ./$(DEPDIR)/fogcoord.Po
include ./$(DEPDIR)/fptest1.Po
include ./$(DEPDIR)/fptexture.Po
include ./$(DEPDIR)/getprocaddress.Po
include ./$(DEPDIR)/getteximage.Po
include ./$(DEPDIR)/glutfx.Po
include ./$(DEPDIR)/interleave.Po
include ./$(DEPDIR)/invert.Po
include ./$(DEPDIR)/jkrahntest.Po
include ./$(DEPDIR)/lineclip.Po
include ./$(DEPDIR)/linehacks.Po
include ./$(DEPDIR)/manytex.Po
include ./$(DEPDIR)/mapbufrange.Po
include ./$(DEPDIR)/minmag.Po
include ./$(DEPDIR)/mipgen.Po
include ./$(DEPDIR)/mipmap_comp.Po
include ./$(DEPDIR)/mipmap_comp_tests.Po
include ./$(DEPDIR)/mipmap_limits.Po
include ./$(DEPDIR)/mipmap_tunnel.Po
include ./$(DEPDIR)/mipmap_view.Po
include ./$(DEPDIR)/multipal.Po
include ./$(DEPDIR)/multitexarray.Po
include ./$(DEPDIR)/multiwindow.Po
include ./$(DEPDIR)/no_s3tc.Po
include ./$(DEPDIR)/packedpixels.Po
include ./$(DEPDIR)/pbo.Po
include ./$(DEPDIR)/persp_hint.Po
include ./$(DEPDIR)/prim.Po
include ./$(DEPDIR)/prog_parameter.Po
include ./$(DEPDIR)/quads.Po
include ./$(DEPDIR)/random.Po
include ./$(DEPDIR)/readrate.Po
include ./$(DEPDIR)/rubberband.Po
include ./$(DEPDIR)/scissor-viewport.Po
include ./$(DEPDIR)/scissor.Po
include ./$(DEPDIR)/seccolor.Po
include ./$(DEPDIR)/shader-interp.Po
include ./$(DEPDIR)/shader_api.Po
include ./$(DEPDIR)/shadow-sample.Po
include ./$(DEPDIR)/sharedtex.Po
include ./$(DEPDIR)/stencilreaddraw.Po
include ./$(DEPDIR)/stencilwrap.Po
include ./$(DEPDIR)/step.Po
include ./$(DEPDIR)/streaming_rect.Po
include ./$(DEPDIR)/subtex.Po
include ./$(DEPDIR)/subtexrate.Po
include ./$(DEPDIR)/tex1d.Po
include ./$(DEPDIR)/texcmp.Po
include ./$(DEPDIR)/texcompress2.Po
include ./$(DEPDIR)/texcompsub.Po
include ./$(DEPDIR)/texdown.Po
include ./$(DEPDIR)/texfilt.Po
include ./$(DEPDIR)/texgenmix.Po
include ./$(DEPDIR)/texleak.Po
include ./$(DEPDIR)/texline.Po
include ./$(DEPDIR)/texobj.Po
include ./$(DEPDIR)/texobjshare.Po
include ./$(DEPDIR)/texrect.Po
include ./$(DEPDIR)/unfilledclip.Po
include ./$(DEPDIR)/viewmemory.Po
include ./$(DEPDIR)/vparray.Po
include ./$(DEPDIR)/vpeval.Po
include ./$(DEPDIR)/vptest1.Po
include ./$(DEPDIR)/vptest2.Po
include ./$(DEPDIR)/vptest3.Po
include ./$(DEPDIR)/vptorus.Po
include ./$(DEPDIR)/vpwarpmesh.Po
include ./$(DEPDIR)/yuvrect.Po
include ./$(DEPDIR)/yuvsquare.Po
include ./$(DEPDIR)/zbitmap.Po
include ./$(DEPDIR)/zcomp.Po
include ./$(DEPDIR)/zdrawpix.Po
include ./$(DEPDIR)/zreaddraw.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: all check install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \
	ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am


#getproclist.h: $(MESA_GLAPI)/gl_API.xml getprocaddress.c getprocaddress.py
#	python getprocaddress.py $(MESA_GLAPI) > getproclist.h

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
